Delete Image

delete

https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/goldImages/{goldImageId}

Deletes the image and all its versions. If isForce is set to true, targets subscribed to this image are automatically unsubscribed. The user will have re-subscribe the targets to a different image. FPP REST User credentials are required for deleting FPP images.

Request

Path Parameters
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Match All
Show Source
Nested Schema : DeleteImageInput
Type: object
Delete gold image option
Show Source
Examples

Back to Top

Response

202 Response

It is a long running/async API. It submits a deployment procedure for deletion of an FPP image.
Headers
  • URL link to track status of the API for the deployment procedure
    Example:
    /deploymentProcedureInstances/{deploymentProcedureInstanceId}
Body ()
Root Schema : schema
Type: object
Show Source

204 Response

No content. (This is the native fleet image delete response)

400 Response

Bad Request.
Headers
Body ()
Root Schema : ErrorResponse
Type: object
Response sent in the case of an error.
Show Source

401 Response

Unauthorized.
Headers
Body ()
Root Schema : ErrorResponse
Type: object
Response sent in the case of an error.
Show Source

404 Response

Not Found.
Headers
Body ()
Root Schema : ErrorResponse
Type: object
Response sent in the case of an error.
Show Source

500 Response

Internal Server Error.
Headers
Body ()
Root Schema : ErrorResponse
Type: object
Response sent in the case of an error.
Show Source

503 Response

Service Unavailable
Headers
Body ()
Root Schema : ErrorResponse
Type: object
Response sent in the case of an error.
Show Source
Back to Top